<Serializable()> _
Public Class Address
    Private _address1 As String
    Private _address2 As String
    Private _city As String
    Private _state As String
    Private _zip As String
    Private _zip4 As String

    Public Sub New()

    End Sub

    Public Sub New(ByVal addr1 As String, ByVal addr2 As String, ByVal city As String, ByVal state As String, ByVal zip As String)
        _address1 = addr1
        _address2 = addr2
        _city = city
        _state = state
        _zip = zip
    End Sub


    Public Sub New(ByVal addr1 As String, ByVal addr2 As String, ByVal city As String, ByVal state As String, ByVal zip As String, ByVal zip4 As String)
        _address1 = addr1
        _address2 = addr2
        _city = city
        _state = state
        _zip = zip
        _zip4 = zip4
    End Sub

    Public Property Street1() As String
        Get
            Return _address1
        End Get
        Set(ByVal value As String)
            _address1 = value
        End Set
    End Property

    Public Property Street2() As String
        Get
            Return _address2
        End Get
        Set(ByVal value As String)
            _address2 = value
        End Set
    End Property


    Public Property City() As String
        Get
            Return _city
        End Get
        Set(ByVal value As String)
            _city = value

        End Set
    End Property


    Public Property State() As String
        Get
            Return _state
        End Get
        Set(ByVal value As String)
            _state = value
        End Set
    End Property


    Public Property Zip() As String
        Get
            Return _zip
        End Get
        Set(ByVal value As String)
            _zip = value
        End Set
    End Property

    Public Property Zip4() As String
        Get
            Return _zip4
        End Get
        Set(ByVal value As String)
            _zip4 = value
        End Set
    End Property

End Class
